# FarmingCenterVault

## Variables

### address farmingCenter

### address owner immutable

### mapping(uint256 => mapping(bytes32 => uint256)) balances

## Functions

### constructor

`constructor() public` public

### lockTokens

`function lockTokens(uint256 tokenId, bytes32 incentiveId, uint256 tokenAmount) external` external

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| tokenId     | uint256 |             |
| incentiveId | bytes32 |             |
| tokenAmount | uint256 |             |

### setFarmingCenter

`function setFarmingCenter(address _farmingCenter) external` external

| Name            | Type    | Description |
| --------------- | ------- | ----------- |
| \_farmingCenter | address |             |

### claimTokens

`function claimTokens(address multiplierToken, address to, uint256 tokenId, bytes32 incentiveId) external` external

| Name            | Type    | Description |
| --------------- | ------- | ----------- |
| multiplierToken | address |             |
| to              | address |             |
| tokenId         | uint256 |             |
| incentiveId     | bytes32 |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.9-directional-fees/v1.9-directional-fees-tokenomics/farmingcentervault.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
